com.ihr.xbrl.om.utr

## Class UnitEntry

- java.lang.Object
- - com.ihr.xbrl.om.utr.UnitEntry

-     public class UnitEntry
      extends java.lang.Object

  This is a unit in the UTR.
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `UnitEntry.NumeratorDenominatorInfo` The Class NumeratorDenominatorInfo.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnitEntry(net.sf.saxon.s9api.XdmNode unitNode)` Instantiates a new unit entry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.sf.saxon.s9api.XdmValue` | `getDefinition()` XHTML mixed The meaning of the unit, in English.
    `javax.xml.namespace.QName` | `getDenominator()` Gets the denominator.
    `javax.xml.namespace.QName` | `getItemType()` Gets the item type.
    `java.lang.String` | `getItemTypeLocalName()` Gets the item type local name.
    `javax.xml.namespace.QName` | `getNumerator()` Gets the numerator.
    `UTRProcessor.Status` | `getStatus()` Gets the status.
    `java.lang.String` | `getSymbol()` Gets the symbol.
    `javax.xml.namespace.QName` | `getUnit()` Gets the unit.
    `java.lang.String` | `getUnitID()` Gets the unit id.
    `java.lang.String` | `getUnitNS()` Gets the unit ns.
    `boolean` | `isComplete()` Checks if is complete.
    `boolean` | `isDivision()` Checks if is division.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnitEntry

          public UnitEntry(net.sf.saxon.s9api.XdmNode unitNode)

      Instantiates a new unit entry.
      Parameters:
        `unitNode` - the unit node

  - ### Method Detail

    - #### isComplete

          public boolean isComplete()

      Checks if is complete.
      Returns:
        the bIsComplete

    - #### isDivision

          public boolean isDivision()

      Checks if is division.
      Returns:
        true, if is division

    - #### getNumerator

          public javax.xml.namespace.QName getNumerator()

      Gets the numerator.
      Returns:
        the numerator

    - #### getDenominator

          public javax.xml.namespace.QName getDenominator()

      Gets the denominator.
      Returns:
        the denominator

    - #### getStatus

          public UTRProcessor.Status getStatus()

      Gets the status.
      Returns:
        the status

    - #### getSymbol

          public java.lang.String getSymbol()

      Gets the symbol.
      Returns:
        the symbol

    - #### getItemType

          public javax.xml.namespace.QName getItemType()

      Gets the item type.
      Returns:
        the item type

    - #### getDefinition

          public net.sf.saxon.s9api.XdmValue getDefinition()

      XHTML mixed The meaning of the unit, in English.
      Returns:
        the definition

    - #### getUnitID

          public java.lang.String getUnitID()

      Gets the unit id.
      Returns:
        the unitID

    - #### getUnitNS

          public java.lang.String getUnitNS()

      Gets the unit ns.
      Returns:
        the unitNS

    - #### getItemTypeLocalName

          public java.lang.String getItemTypeLocalName()

      Gets the item type local name.
      Returns:
        the item type local name

    - #### getUnit

          public javax.xml.namespace.QName getUnit()

      Gets the unit.
      Returns:
        the unit